> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1device



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Device//swagger/v1/swagger.json post /api/v1/device
openapi: 3.0.0
info:
  title: NDS.Services.Device
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Device/
security: []
paths:
  /api/v1/device:
    post:
      tags:
        - Device
      operationId: Device_GetDevices
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDevicesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDevicesResult'
components:
  schemas:
    GetDevicesRequest:
      type: object
      additionalProperties: false
      properties:
        Types:
          type: array
          nullable: true
          items:
            type: string
    GetDevicesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Devices:
              type: array
              items:
                $ref: '#/components/schemas/Device'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Device:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
        Name:
          type: string
        Description:
          type: string
        GatewayId:
          type: string
        ExternalId:
          type: string
        Type:
          type: string
        ProxyDeviceId:
          type: string
        Label:
          type: string
          nullable: true
        UpdatedDate:
          type: string
          format: date-time
        LastSeenDate:
          type: string
          format: date-time
        MotionDelay:
          type: integer
          format: int32
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````